# Conditional build:
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_with	verbose		# verbose build (V=1)

%if "%{_alt_kernel}" != "%{nil}"
%if 0%{?build_kernels:1}
%{error:alt_kernel and build_kernels are mutually exclusive}
exit 1
%endif
%global		_build_kernels		%{alt_kernel}
%else
%global		_build_kernels		%{?build_kernels:,%{?build_kernels}}
%endif

# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0

%define		kbrs	%(echo %{_build_kernels} | tr , '\\n' | while read n ; do echo %%undefine alt_kernel ; [ -z "$n" ] || echo %%define alt_kernel $n ; echo "BuildRequires:kernel%%{_alt_kernel}-module-build >= 3:2.6.20.2" ; done)
%define		kpkg	%(echo %{_build_kernels} | tr , '\\n' | while read n ; do echo %%undefine alt_kernel ; [ -z "$n" ] || echo %%define alt_kernel $n ; echo %%kernel_pkg ; done)
%define		bkpkg	%(echo %{_build_kernels} | tr , '\\n' | while read n ; do echo %%undefine alt_kernel ; [ -z "$n" ] || echo %%define alt_kernel $n ; echo %%build_kernel_pkg ; done)

%define		rel	3
%define		snap	20140901
%define		pname	rtl8812au
Summary:	Driver for AC1200 (802.11ac) Wireless Dual-Band USB Adapter
Name:		%{pname}%{_alt_kernel}
Version:	4.3.2_11100.20140411
Release:	0.%{snap}.%{rel}%{?_pld_builder:@%{_kernel_ver_str}}
License:	GPL
Group:		Base/Kernel
#Source0:	https://github.com/abperiasamy/rtl8812AU_8821AU_linux/archive/master/%{name}-%{version}-%{snap}.tar.gz
Source0:	https://github.com/austinmarton/rtl8812au_linux/archive/master/%{name}-%{version}-%{snap}.tar.gz
# Source0-md5:	693825ab344b68a1217f20ab8dd98b82
# good luck finding this chip on Realtek website :/
#URL:		http://www.realtek.com.tw/
URL:		https://github.com/austinmarton/rtl8812au_linux
Patch0:		linux-3.11.patch
Patch1:		disable-debug.patch
Patch2:		enable-cfg80211-support.patch
Patch3:		update-cfg80211-support.patch
Patch4:		warnings.patch
BuildRequires:	rpmbuild(macros) >= 1.678
%{?with_dist_kernel:%{expand:%kbrs}}
BuildRoot:	%{tmpdir}/%{pname}-%{version}-root-%(id -u -n)

%description
Driver for AC1200 (802.11ac) Wireless Dual-Band USB Adapter.

%define	kernel_pkg()\
%package -n kernel%{_alt_kernel}-net-rtl8812au\
Summary:	Driver for AC1200 (802.11ac) Wireless Dual-Band USB Adapter\
Release:	%{rel}@%{_kernel_ver_str}\
Group:		Base/Kernel\
Requires(post,postun):	/sbin/depmod\
%if %{with dist_kernel}\
%requires_releq_kernel\
Requires(postun):	%releq_kernel\
%endif\
\
%description -n kernel%{_alt_kernel}-net-rtl8812au\
Driver for AC1200 (802.11ac) Wireless Dual-Band USB Adapter\
\
%files -n kernel%{_alt_kernel}-net-rtl8812au\
%defattr(644,root,root,755)\
/lib/modules/%{_kernel_ver}/kernel/drivers/net/wireless/*.ko*\
\
%post	-n kernel%{_alt_kernel}-net-rtl8812au\
%depmod %{_kernel_ver}\
\
%postun	-n kernel%{_alt_kernel}-net-rtl8812au\
%depmod %{_kernel_ver}\
%{nil}

%define build_kernel_pkg()\
%{__make} clean KVER=%{_kernel_ver} KSRC=%{_kernelsrcdir}\
%{__make} modules KVER=%{_kernel_ver} KSRC=%{_kernelsrcdir}\
%install_kernel_modules -D installed -m 8812au -d kernel/drivers/net/wireless\
%{nil}

%{expand:%kpkg}

%prep
#%setup -q -n %{pname}-%{version}
%setup -q -n rtl8812au_linux-master
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{expand:%bkpkg}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

cp -a installed/* $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT
%changelog
* Sun Nov 23 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rtl8812au.git;a=log;h=auto/th/rtl8812au-4.3.2_11100.20140411-0.20140901.3

* Sun Sep 07 2014 Jan Rękorajski <baggins@pld-linux.org> 7e5222b
- updated for older kernels

* Sun Sep 07 2014 Jan Rękorajski <baggins@pld-linux.org> 5ea72e3
- rel 3

* Sun Sep 07 2014 Jan Rękorajski <baggins@pld-linux.org> e46e556
- enable cfg80211 use in driver and update code to 3.15+
- fix 'const' related warnings
- really disable debug

* Tue Sep 02 2014 Jan Rękorajski <baggins@pld-linux.org> 5246a30
- disable debug noise
- rel 2

* Mon Sep 01 2014 Jan Rękorajski <baggins@pld-linux.org> 36a5087
- updated to 4.3.2_11100.20140411

* Wed Aug 27 2014 Jan Rękorajski <baggins@pld-linux.org> 69ba0a6
- pass kernel source directory to make

* Wed Aug 27 2014 Jan Rękorajski <baggins@pld-linux.org> ca0afb0
- yes, something is missing on df

* Wed Aug 27 2014 Jan Rękorajski <baggins@pld-linux.org> f157a2d
- some df breakage?

* Wed Aug 27 2014 Jan Rękorajski <baggins@pld-linux.org> e037d1f
- updated USB ID for new cards

* Wed Aug 27 2014 Jan Rękorajski <baggins@pld-linux.org> bfd4863
- disable CONFIG_IOCTL_CFG80211, with this option enabled
  WPA1/2 auth doesn't work on some cards

* Wed Aug 27 2014 Jan Rękorajski <baggins@pld-linux.org> d6b30ea
- new

